<?php
namespace Ep\Expressive\Flash;

/**
 * Poruka u flash messengeru.
 *
 * @package Ep\Expressive\Flash
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
interface FlashMessageInterface
{
    /**
     * Vraća vrstu poruke.
     *
     * @return string
     */
    public function getType(): string;

    /**
     * Vraća samu poruku.
     *
     * @return string
     */
    public function getMessage(): string;
}