<?php
namespace Ep\Form\View\Helper;

use Zend\Form\View\Helper\AbstractHelper;

/**
 * Osnovna klasa za Form ViewHelpere.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
abstract class AbstractFormHelper extends AbstractHelper
{
    /**
     * Generira jedinstveni id za element.
     *
     * @param string $prefix
     *
     * @return string
     */
	protected function generateId(string $prefix = 'el_'): string
    {
        return sprintf('%s%s', $prefix, substr(md5(rand() . time() * 24), 0, 8));
    }
}